<script lang="ts">
import ListComponent from "@/components/ListComponent.vue";

  export default {
    name: "HomepageView",
    components: {
        ListComponent
    },
    data() {
        return {
            count: 0
        }
    },
    methods: {
        refreshCount(value: number) {
            this.count = value;
        }
    }
  }
</script>

<template>
  <div>
    <h1>Homepage !! ( {{ count }} )</h1><br/>
    <ListComponent @count="refreshCount"/>
  </div>
</template>
